/* fk.h  - list of PC function key codes */


#define	FN              256	/* function key event */
#define	MS              512	/* mouse event */
#define	ALT             1024	/* Alt key down */

#define	MMV             (0|MS)	/* mouse moved */
#define	MDL             (1|MS)	/* mouse down left */
#define	MDR             (2|MS)	/* mouse down right */

#define FK_Shift_Tab    (15|FN)
#define FK_Alt_M        (50|FN)
#define FK_F1           (59|FN)
#define FK_F2           (60|FN)
#define FK_F3           (61|FN)
#define FK_F4           (62|FN)
#define FK_F5           (63|FN)
#define FK_F6           (64|FN)
#define FK_F7           (65|FN)
#define FK_F8           (66|FN)
#define FK_F9           (67|FN)
#define FK_F10          (68|FN)
#define FK_Home         (71|FN)
#define FK_Up_Arrow     (72|FN)
#define FK_PgUp         (73|FN)
#define FK_Left_Arrow   (75|FN)
#define FK_Right_Arrow  (77|FN)
#define FK_End          (79|FN)
#define FK_Down_Arrow   (80|FN)
#define FK_PgDn         (81|FN)
#define FK_Ins          (82|FN)
#define FK_Del          (83|FN)
#define FK_Ctrl_Left    (115|FN)
#define FK_Ctrl_Right   (116|FN)
#define FK_Ctrl_End     (117|FN)
#define FK_Ctrl_PgDn    (118|FN)
#define FK_Ctrl_Home    (119|FN)
#define FK_Ctrl_PgUp    (132|FN)
