/* version.h */

#define VER " WavEd 2.72                   Apr 2006"
#define WID "                                      " /* maintain width */
#define CPR "Copyright (c) 1989-2006, Boys Town National Research Hospital."
#define DST "Non-profit redistribution permitted."
/***************************************************************************
version 2.72, 26 Apr-06
* fixed bug in writing "marks" to ILS file
* fixed bug in playing sound via toolbar
version 2.71, 2 May-04
* modify for DJC compiler
* Adjust title box
version 2.70, 12-Sep-03
* load 24-bit wavefiles by discarding LSB
version 2.69, 28-Jun-02:
* chdir when arg includes path to reduce file name length
version 2.68, 19-Sep-00:
* Added "change directory" feature
* Changed Modify/add function to accept a mark
version 2.67, 8-Sep-00:
* fixed token info
version 2.66, 3-Jan-00:
* minor fix to timer_wait()
version 2.65, 19-Oct-98:
* fixed PLT version of spectrum
* fixed zoom_in for win98
* added timer_wait to output_dac and input_adc
version 2.64, 18-Oct-98:
* increased dynamic range of FFT from 100 to 120 dB
* changed zero-pad option to specify power-of-2 multiplier
version 2.63, 7-Sep-98:
* modified spectral plot output
version 2.62, 30-Nov-98:
* corrected riffsz in savefile_wav()
version 2.61, 31-Aug-98:
* Made high-freq. emph. optional in Transform/Set
version 2.60, 31-Aug-98:
* Added Set option to Transform to make LPC spectra optional
* Increased FFT size for win32
version 2.59, 22-Jun-98:
* fixed reading multi-channel .WAV files
version 2.58, 16-Jun-98:
* fixed scan_signal() for more than one channel
version 2.57, 8-Jun-98:
* fixed paste to empty window
* remove "can't open" error message for WIN32
version 2.56, 10-Apr-98:
* fixed savefile for multi-channel signals (including .PLT)
version 2.55, 4-Apr-98:
* fixed edit, modify, and display functions for multi-channel signals
version 2.54, 1-Apr-98:
* compile trans.c without -Ox to avoid MSC compiler bug
* changed file_len() to use lseek() (to avoid LCC bug)
* put "Bandwidth" in title bar for spectra (in place of "Duration")
version 2.53, 26-Mar-98:
* added LPC window and h.f. emphasis setup options
* made Trans-FFT, Calc-LPC, and Calc Areas use LPC setup options
version 2.52, 26-Mar-98:
* load, sav, and display multiple channels
* added LPC spectrum to Trans/FFT
* changed default number of LPCs to 2+rate/1000
version 2.51, 25-Mar-98:
* modified Trans/FFT to return dB*500
* moved "d_yrng =" line in showwave.c to avoid LCC bug
* win32 version covers full screen
version 2.50, 19-Mar-98:
* win32 version covers full screen
* work around scrolling bug that failed to update right side
version 2.49, 2-Feb-98:
* improved scrolling
* better support for win95
* fixed bug in Transform FFT display
version 2.48, 26-Jan-98:
* enhanced editing in g_getstr()
* incomplete support for win95
version 2.47, 10-Oct-97:
* added delay to clock set in Data Translation driver
version 2.46, 18-Jun-97:
* added "rate" to LST format data files
version 2.45, 16-May-97:
* fixed bug in showing clip window
version 2.44, 20-Jan-97:
* updates to Monterey & Pinnacle I/O
version 2.44, 11-Jan-97:
* fixed input & output for Monterey & Pinnacle
version 2.42, 7-Jan-97:
* added Pinnacle device
* do sample rate conversion for Monterey & Pinnacle
* set iod function call addresses in init_iod
version 2.41, 16-Nov-96:
* modified TB pot setting in iod3.c
version 2.40, 14-Nov-96:
* create iod.c with i/o device globals
version 2.39, 4-Nov-96:
* made SND and WAV i/o similar to ../sdf/sdio.c
version 2.38, 2-Nov-96:
* improved load and save of MAT files
version 2.37, 1-Nov-96:
* load and save ADF files
version 2.36, 15-Jul-96:
* read sample rate from MAT files
* cleaned up for lint
version 2.35, 10-Jul-96:
* Don't prompt for token number when ntok == 1
version 2.34, 10-Jan-96:
* Add load/save support for 16-bit .WAV files
* Add load support for 32-bit & 64-bit custom files
version 2.33, 21-Jul-95:
* Replaced monterey i/o with original, no-interrupt code
version 2.32, 16-Apr-95:
* Replaced soundblaster i/o with monterey i/o
version 2.31, 18-Aug-94:
* Remove baseline from modify/add function
* Added command line option to specify header size
version 2.30, 15-Aug-94:
* Added "saved file" message.
version 2.29, 11-Aug-94:
* Removed windinit() from sigdel()
* Added setting of default rate from command line or Set/Rate menu
* Adjust topsamp when adrate is changed to keep record time constant
version 2.28, 26-Jul-94:
* Modified grlib to add mouse cursor for HGC
* Added command line option -nh to specify "no header"
version 2.27, 12-Jul-94:
* Added device TDT2
version 2.26, 25-May-94:
* Fixed bug in calc/moments with npts > 512
* Added Set/Moment function for win. type and h.f. emph.
version 2.25, 22-May-94:
* Added calc/moments with blackman window
version 2.24, 17-May-94:
* Fixed bug in several places when initial point of segment > 32767
version 2.23, 24-Mar-94:
* Added 16-bit format when saving as a C file.
* Added version.h file.
version 2.20, 11-Sep-92:
* Improved tokenfile loading and saving
***************************************************************************/
